<?php

declare(strict_types=1);

namespace Kylin\Report\Facades;

use Illuminate\Support\Facades\Facade;
use Kylin\Report\Services\ApprovalMaterialService;
use Kylin\Report\Services\TestAccountService;

/**
 * KylinReport Facade
 *
 * @method static string generateSystemManual(int $gameId)
 * @method static array generateTestReport(int $gameId)
 * @method static array getTestAccounts(int $gameId)
 */
class KylinReport extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return ApprovalMaterialService::class;
    }
}
